#!/bin/bash -e
function install() {
    function installDrivers() {
        . "../../../scripts/Arch/Config/SecureBoot/install.sh";
        . "../../../scripts/Arch/Software/nvidia-dkms/install.sh";
        . "../../../scripts/Arch/Software/xone/install.sh";
        . "../../../scripts/Arch/Software/bt-dualboot/install.sh";
    }

    function initializeConfig() {
        . "../../../scripts/Unix/Devices/Logitech G903/install.sh";
    }

    pushd "$dir" > /dev/null;
    . "../../../scripts/Arch/OS/install.sh";
    popd > /dev/null;
}

install;
