#!/bin/bash
contextRoot="$(mktemp -d)";
packageName="libcamera-git";

pushd "$contextRoot" > /dev/null;

yay -G "$packageName";
cd *;
yay --noconfirm -S "$packageName" --asdeps || true;

sed -i \
    -e "s/^\(provides=(.*\)\()\)/\1 \"libcamera-base.so\" \"libcamera.so\"\2/" \
    -e "s/^\(conflicts=(.*\)\()\)/\1 \"libcamera-ipa\"\2/" \
    PKGBUILD;

yes | makepkg -si;

popd > /dev/null;

rm -rf "$contextRoot";
