#!/bin/bash
pushd "${BASH_SOURCE%/*}" > /dev/null;

yay --noconfirm -Syu \
    qemu-full \
    ;

yes | yay --answerclean=None --answerdiff=None -Syu \
    virtiofsd \
    virt-manager \
    dnsmasq \
    iptables-nft \
    swtpm \
    lxc \
    virt-bootstrap-git \
    ;

sudo systemctl enable --now libvirtd;
sudo systemctl enable --now virtlogd;
. "../../../Common/Config/Virtual Machine Manager/install.sh";

popd > /dev/null;
