#!/bin/env fish
begin
    set -l dir (status dirname)
    source "$dir/../../Scripts/software.fish"

    function installSW -V dir
        yayinst \
            git \
            git-lfs \
            gitflow-avh \
            gitflow-bashcompletion-avh \
            gitflow-fishcompletion-avh \
            gitflow-zshcompletion-avh

        and fish "$dir/../../../Common/Software/git/main.fish" configure
    end

    runInstaller $argv
end
