#!/bin/env fish
begin
    set -l dir (status dirname)
    source "$dir/../../Scripts/software.fish"

    function installSW
        # `git` version
        # yes | yayinst sddm-git
        # stable version
        yayinst sddm
        configureSW
    end

    function configureSW -V dir
        set -l configDir /etc/sddm.conf.d
        sudo systemctl enable sddm
        sudo mkdir -p "$configDir"
        sudo cp "$dir/wayland.conf" "$configDir/10-wayland.conf"
    end

    runInstaller $argv
end
