#!/bin/env fish
begin
    set -l dir (status dirname)
    source "$dir/../../Scripts/profile-base.fish"

    function getBashStatements
    end

    function processContent -a content
        set -l statements (getBashStatements)
        echo "$content"

        if [ (echo "$statements" | wc -l) -gt 0 ]
            printf %s\n \
                "" \
                'if test "$BASH"' \
                "then"

            echo "$statements" | while read -l line
                echo "    $line"
            end

            echo "fi"
        end
    end

    function installBashProfile -a name title
        addProfileStatement "$name" "$title" /bin/bash sh /etc/bash/conf.d $argv[3..]
    end
end
