#!/bin/pwsh
. "$PSScriptRoot/../../../scripts/Common/Scripts/Context.ps1";
. "$PSScriptRoot/../../../scripts/Windows/OS/Install.ps1";
. "$PSScriptRoot/../../../scripts/Windows/Collections/Generic.ps1"

function Restore-Apps {
    param([Context] $context)
    Restore-GenericApps $context;
}

[Context]$context = [Context]::new();
Invoke-WindowsInstallation $context;
Restart-Computer -Force;
