#!/bin/env fish
begin
    set -l dir (status dirname)
    source "$dir/../../Scripts/software.fish"

    function installSW
        pacinst base-devel
        and configureSW
    end

    function configureSW
        set -l customFile /etc/makepkg.conf.d/valhalla.conf

        if [ ! -f "$customFile" ]
            begin
                printf %s\n \
                    "OPTIONS+=(!debug)" \
                    "MAKEFLAGS=\"-j\$(nproc)\""
            end | sudo tee "$customFile" > /dev/null
        end
    end

    runInstaller $argv
end
