#!/bin/env fish
begin
    set -l dir (status dirname)
    source "$dir/../../Scripts/software.fish"

    function installSW
        yayinst \
            nix \
            nil-git

        configureSW
    end

    function configureSW -V dir
        sudo systemctl enable --now nix-daemon
        fish "$dir/../../../Common/Software/nix/main.fish" configure
    end

    runInstaller $argv
end
