#!/bin/bash
yay --noconfirm -Syu \
    `# Waydroid prerequisite: https://wiki.archlinux.org/title/Waydroid#DKMS_modules` \
    binder_linux-dkms \
    waydroid \
    `# For installing ARM suppot on waydroid` \
    waydroid-script-git \
    `# Clipboard support: https://wiki.archlinux.org/title/Waydroid#Failed_to_start_Clipboard_manager_service` \
    python-pyclip \
    `# Wayland clipboard support: https://github.com/spyoungtech/pyclip?tab=readme-ov-file#linux` \
    wl-clipboard \
    ;
