#!/bin/bash
pushd "${BASH_SOURCE%/*}" > /dev/null;
. "../fish/profile.sh";
. "../bash/profile.sh";

{
    echo 'export PYENV_ROOT="$HOME/.pyenv"';
    echo 'command -v pyenv >/dev/null || export PATH="$PYENV_ROOT/bin:$PATH"';
    echo 'eval "$(pyenv init -)"';
} | addBashProfile "pyenv";

addFishProfile "pyenv" "pyenv" "pyenv init - | source";
popd > /dev/null;
