#!/bin/env fish
begin
    set -l dir (status dirname)
    source "$dir/../../Scripts/software.fish"

    function installSW
        configureSW
    end

    function configureSW -V dir
        begin
            printf %s\n \
                "" \
                "# profile" \
                "while IFS= read -r -d '' file;" \
                "do" \
                'source "$file";' \
                'done < <(find {/etc,~/.config}/bash/conf.d/* -print0 2> /dev/null);'
        end | sudo tee -a /etc/skel/.bashrc &> /dev/null
    end

    runInstaller $argv
end
